package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

/**
 * 箱体流转追溯报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class BoxTurnoverTraceabilityDetailReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 产线编号
     */
    @Excel(name = "产线编号")
    @JsonProperty("PRODUCT_LINE_CODE")
    private String PRODUCT_LINE_CODE;

    /**
     * 产线名称
     */
    @Excel(name = "产线名称")
    @JsonProperty("PRODUCT_LINE_NAME")
    private String PRODUCT_LINE_NAME;

    /**
     * SAP订单编号
     */
    @Excel(name = "SAP订单编号")
    @JsonProperty("ORDER_CODE")
    private String ORDER_CODE;

    /**
     * 销售订单编号
     */
    @Excel(name = "销售订单编号")
    @JsonProperty("SALEORDER_CODE")
    private String SALEORDER_CODE;

    /**
     * 销售订单行号
     */
    @Excel(name = "销售订单行号")
    @JsonProperty("SALEORDER_LINENUMBER")
    private String SALEORDER_LINENUMBER;

    /**
     * 产品编号
     */
    @Excel(name = "产品编号")
    @JsonProperty("PRODUCT_CODE")
    private String PRODUCT_CODE;

    /**
     * 产品名称
     */
    @Excel(name = "产品名称")
    @JsonProperty("PRODUCT_NAME")
    private String PRODUCT_NAME;

    /**
     * 成品条码
     */
    @Excel(name = "成品条码")
    @JsonProperty("PRODUCT_SNCODE")
    private String PRODUCT_SNCODE;

    /**
     * MES条码
     */
    @Excel(name = "MES条码")
    @JsonProperty("BOX_CODE")
    private String BOX_CODE;

    /**
     * MES码打印时间
     */
    @Excel(name = "MES码打印时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonProperty("PRINT_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String PRINT_TIME;

    /**
     * 物料编号
     */
    @Excel(name = "物料编号")
    @JsonProperty("MATERIAL_CODE")
    private String MATERIAL_CODE;

    /**
     * 物料名称
     */
    @Excel(name = "物料名称")
    @JsonProperty("MATERIAL_NAME")
    private String MATERIAL_NAME;

    /**
     * 过点工位编号
     */
    @Excel(name = "过点工位编号")
    @JsonProperty("STATION_CODE")
    private String STATION_CODE;

    /**
     * 过点工位名称
     */
    @Excel(name = "过点工位名称")
    @JsonProperty("STATION_NAME")
    private String STATION_NAME;

    /**
     * 过点时间
     */
    @Excel(name = "过点时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonProperty("COMPLETE_DATE")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date COMPLETE_DATE;

    public String getPRODUCT_LINE_CODE() {
        return PRODUCT_LINE_CODE;
    }

    public void setPRODUCT_LINE_CODE(String PRODUCT_LINE_CODE) {
        this.PRODUCT_LINE_CODE = PRODUCT_LINE_CODE;
    }

    public String getPRODUCT_LINE_NAME() {
        return PRODUCT_LINE_NAME;
    }

    public void setPRODUCT_LINE_NAME(String PRODUCT_LINE_NAME) {
        this.PRODUCT_LINE_NAME = PRODUCT_LINE_NAME;
    }

    public String getORDER_CODE() {
        return ORDER_CODE;
    }

    public void setORDER_CODE(String ORDER_CODE) {
        this.ORDER_CODE = ORDER_CODE;
    }

    public String getSALEORDER_CODE() {
        return SALEORDER_CODE;
    }

    public void setSALEORDER_CODE(String SALEORDER_CODE) {
        this.SALEORDER_CODE = SALEORDER_CODE;
    }

    public String getSALEORDER_LINENUMBER() {
        return SALEORDER_LINENUMBER;
    }

    public void setSALEORDER_LINENUMBER(String SALEORDER_LINENUMBER) {
        this.SALEORDER_LINENUMBER = SALEORDER_LINENUMBER;
    }

    public String getPRODUCT_CODE() {
        return PRODUCT_CODE;
    }

    public void setPRODUCT_CODE(String PRODUCT_CODE) {
        this.PRODUCT_CODE = PRODUCT_CODE;
    }

    public String getPRODUCT_NAME() {
        return PRODUCT_NAME;
    }

    public void setPRODUCT_NAME(String PRODUCT_NAME) {
        this.PRODUCT_NAME = PRODUCT_NAME;
    }

    public String getPRODUCT_SNCODE() {
        return PRODUCT_SNCODE;
    }

    public void setPRODUCT_SNCODE(String PRODUCT_SNCODE) {
        this.PRODUCT_SNCODE = PRODUCT_SNCODE;
    }

    public String getBOX_CODE() {
        return BOX_CODE;
    }

    public void setBOX_CODE(String BOX_CODE) {
        this.BOX_CODE = BOX_CODE;
    }

    public String getPRINT_TIME() {
        return PRINT_TIME;
    }

    public void setPRINT_TIME(String PRINT_TIME) {
        this.PRINT_TIME = PRINT_TIME;
    }

    public String getMATERIAL_CODE() {
        return MATERIAL_CODE;
    }

    public void setMATERIAL_CODE(String MATERIAL_CODE) {
        this.MATERIAL_CODE = MATERIAL_CODE;
    }

    public String getMATERIAL_NAME() {
        return MATERIAL_NAME;
    }

    public void setMATERIAL_NAME(String MATERIAL_NAME) {
        this.MATERIAL_NAME = MATERIAL_NAME;
    }

    public String getSTATION_CODE() {
        return STATION_CODE;
    }

    public void setSTATION_CODE(String STATION_CODE) {
        this.STATION_CODE = STATION_CODE;
    }

    public String getSTATION_NAME() {
        return STATION_NAME;
    }

    public void setSTATION_NAME(String STATION_NAME) {
        this.STATION_NAME = STATION_NAME;
    }

    public Date getCOMPLETE_DATE() {
        return COMPLETE_DATE;
    }

    public void setCOMPLETE_DATE(Date COMPLETE_DATE) {
        this.COMPLETE_DATE = COMPLETE_DATE;
    }

    @Override
    public String toString() {
        return "BoxTurnoverTraceabilityDetailReport{" +
                "PRODUCT_LINE_CODE='" + PRODUCT_LINE_CODE + '\'' +
                ", PRODUCT_LINE_NAME='" + PRODUCT_LINE_NAME + '\'' +
                ", ORDER_CODE='" + ORDER_CODE + '\'' +
                ", SALEORDER_CODE='" + SALEORDER_CODE + '\'' +
                ", SALEORDER_LINENUMBER='" + SALEORDER_LINENUMBER + '\'' +
                ", PRODUCT_CODE='" + PRODUCT_CODE + '\'' +
                ", PRODUCT_NAME='" + PRODUCT_NAME + '\'' +
                ", PRODUCT_SNCODE='" + PRODUCT_SNCODE + '\'' +
                ", BOX_CODE='" + BOX_CODE + '\'' +
                ", MATERIAL_CODE='" + MATERIAL_CODE + '\'' +
                ", MATERIAL_NAME='" + MATERIAL_NAME + '\'' +
                ", STATION_CODE='" + STATION_CODE + '\'' +
                ", STATION_NAME='" + STATION_NAME + '\'' +
                ", COMPLETE_DATE='" + COMPLETE_DATE + '\'' +
                '}';
    }
}
